## ros-noetic-pf-description 1.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(pf_description)

## Compile as C++11, supported in ROS Kinetic and newer
# add_compile_options(-std=c++11)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED)

catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES pf_description
#  CATKIN_DEPENDS joint_state_publisher robot_state_publisher rviz urdf xacro
#  DEPENDS system_lib
)

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY urdf DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY meshes DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  add_rostest(tests/test_r2000_bringup.launch)
  add_rostest(tests/test_r2300_bringup.launch)
endif()

=== debian/changelog ===
ros-noetic-pf-description (1.2.0-1buster) buster; urgency=high

  * fix xacro filename cases #70 <https://github.com/PepperlFuchs/pf_lidar_ros_driver/issues/70> from PepperlFuchs/fix_xacro_filenames
  * replaced r2300 stl file #69 <https://github.com/PepperlFuchs/pf_lidar_ros_driver/issues/69> from PepperlFuchs/update_stl
  * update test as per renamed launch file
  * rename xacros and update mesh centre
  * added urdf for r2000 and r2300 #66 <https://github.com/PepperlFuchs/pf_lidar_ros_driver/issues/66> from PepperlFuchs/urdf
  * add tests for robot_description bringup
  * fix deps for CI
  * add urdf bringup launch file
  * added urdf for r2000
  * added urdf for r2300
  * Contributors: Harsh Deshpande

 -- Harsh Deshpande <harshavardhan.deshpande@ipa.fraunhofer.de>  Mon, 02 May 2022 22:00:00 -0000

ros-noetic-pf-description (1.1.1-1buster) buster; urgency=high



 -- Harsh Deshpande <harshavardhan.deshpande@ipa.fraunhofer.de>  Wed, 17 Feb 2021 23:00:00 -0000

ros-noetic-pf-description (1.1.0-1buster) buster; urgency=high



 -- Harsh Deshpande <harshavardhan.deshpande@ipa.fraunhofer.de>  Mon, 08 Feb 2021 23:00:00 -0000

=== debian/control ===
Source: ros-noetic-pf-description
Section: misc
Priority: optional
Maintainer: Harsh Deshpande <harshavardhan.deshpande@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-rostest <!nocheck>
Homepage: https://github.com/PepperlFuchs/pf_lidar_ros_driver
Standards-Version: 3.9.2

Package: ros-noetic-pf-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-robot-state-publisher, ros-noetic-rviz, ros-noetic-urdf, ros-noetic-xacro
Description: The pf_description package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-pf-description//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
